<?
	global $sess;
	$zaj_cykli = $sess->get(w_zajecia);

	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {
		$plagiat = array();
		$q = new CQuery("SELECT p.id, o1.imie as imie1,o1.nazwisko as nazwisko1,o2.imie as imie2, o2.nazwisko as nazwisko2, op1.oddanie as data1, op2.oddanie as data2, z.nazwa, p.opis
						FROM XP_OSOBY o1, XP_OSOBY o2, XP_ZADANIE z, XP_PLAGIAT p, XP_ODDANE_PRACE op1, XP_ODDANE_PRACE op2
						WHERE (zaj_cykli='$zaj_cykli' and
								p.id_zad1=op1.id and
								p.id_zad2=op2.id and
								op1.id_zad=z.id and
								op2.id_zad=z.id and
								op1.id_stud=o1.id and
								op2.id_stud=o2.id);");
		while ($arr = $q->fetch_array()) {
			$id = $arr[id];
			$p = array();
			$p[stud1] = $arr[imie1]." ".$arr[nazwisko1];
			$p[stud2] = $arr[imie2]." ".$arr[nazwisko2];
			$p[data1] = $arr[data1];
			$p[data2] = $arr[data2];
			$p[zad] = $arr[nazwa];
			$p[opis] = $arr[opis];
			$plagiat[$id] = $p;
		}
		$q->free();
	}
?>
